    * { box-sizing: border-box; }
    body { margin: 0; padding: 0; background-color: #000; font-family: 'Apple SD Gothic Neo', sans-serif; color: #fff; display: flex; flex-direction: column; align-items: center; min-height: 100vh; padding-top: 40px; }
    h1 { color: #ffaa00; margin: 60px 16px 20px; font-size: 1.8rem; text-align: center; }
    h3 { color: #507bff; font-size: 1.2rem; text-align: left; }
    .container { background-color: #fff; border-radius: 16px; width: 90%; padding: 20px; margin: 0px 0 40px; color: #000; box-shadow: 0 0 20px rgba(0,0,0,0.3); }
    label { display: block; margin-top: 8px; font-weight: bold; font-size: 1.0rem; }
    input { width: 100%; max-width: 110px; padding: 6px; margin-top: 4px; border-radius: 8px; border: 1px solid #ccc; font-size: 1.0rem; }
    .input-hp {  width: 250px;  max-width: 200px; padding: 10px;  font-size: 1.0rem;  border-radius: 8px; }
    .grid { display: grid; grid-template-columns: repeat(5, 1fr); gap: 8px; margin-top: 10px; }
    select { width: 100%; padding: 10px; margin-top: 10px; border-radius: 8px; font-size: 1rem; }
    button {width: 48px; padding: 20px; background-color: #507bff; color: #fff; font-size: 1rem; border: none; border-radius: 8px; cursor: pointer; margin-top: 0px; }
    .result { margin-top: 20px; font-weight: bold; font-size: 1.2rem; }
  
    /* ======================= 계산기 버튼 공통 ======================= */
.container button {
  width: 100%;          /* 전체 넓이 */
  padding: 12px;
  background-color: #507bff;
  color: #fff;
  font-size: 1rem;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  margin-top: 20px;
  transition: background 0.2s ease;
}

.container button:hover {
  background-color: #3a64d8;
}